#pragma once

/************************************************************
Definition of the eye analogue class.
************************************************************/
#define RESIZE_OUT_W	210 //300
#define RESIZE_OUT_H	160 //225


class eye_analogue
{
	int h;
	int w;

	queue_t* out_original;
	queue_t* out_processed;
	queue_t* input_q;
	queue_t* q_scene_in;
	queue_t* q_scene_out;

	HANDLE			h_thread;
	DWORD			thread_id;
	bool			keep_running;

public:
	eye_analogue(int eye_window_h, 
				int eye_window_w,
				queue_t* eye_queue,
				queue_t* scene_queue,
				queue_t* out_scene,
				queue_t* out_original,
				queue_t* out_processed);
	~eye_analogue(void);
	status_t process();
};

