#pragma once

#define ALPHA	20
#define DEFAULT_EYE_THRESH	67

class hough_transform
{

private:
	int h;
	int w;

	queue_t* in_video;
	queue_t* in_approx_pos;
	queue_t* out_video;
	queue_t* out_coords;
	queue_t* in_scene;
	queue_t* out_scene;
	
	HANDLE			h_thread;
	DWORD			thread_id;
	bool			keep_running;

	Point			last_centre;

public:
	hough_transform(int h, int w, queue_t* in_video, queue_t* in_approx_pos, queue_t *in_scene,
					queue_t* out_coords, queue_t *out_scene);
	
	~hough_transform(void);

	status_t	process();
};

