/*******************************************************************
auto_eye_tracker.h
*******************************************************************/

#pragma once


//#define DBG (
#define DBG printf(

//#define INFO (
#define INFO printf(

//#define ERR (
#define ERR printf(


/******************************************************
Parameters for eye-window detection.
******************************************************/
#define DEFAULT_H	 225 //200
#define DEFAULT_W	300 //280 //300

#define PIXEL(FRAME, X, Y)	*(FRAME->data + FRAME->step.buf[0]*Y + FRAME->step.buf[1]*X)


/********************************************************
Actual functions!
*********************************************************/
status_t find_eye_analogue(	Mat *ps_input, 
						Mat	*ps_eye_analogue,
						int  h, 
						int	 w);

unsigned int find_sum( Mat *ps_input, 
			  			int x_pos, 
						int y_pos, 
						int	h, 
						int	w);